Translate an existing transcript or audio
curl --request POST \
--url https://api.sky-scribe.com/v1/translate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_language": "<string>",
"transcription_id": "<string>",
"audio_url": "<string>",
"original_language": "<string>",
"format": [
"json"
],
"callback": "<string>",
"diarize": true,
"team_id": "<string>",
"folder_id": "<string>",
"output_config": {
"include_timestamps": true,
"include_speakers": false
}
}
'import requests
url = "https://api.sky-scribe.com/v1/translate"
payload = {
"target_language": "<string>",
"transcription_id": "<string>",
"audio_url": "<string>",
"original_language": "<string>",
"format": ["json"],
"callback": "<string>",
"diarize": True,
"team_id": "<string>",
"folder_id": "<string>",
"output_config": {
"include_timestamps": True,
"include_speakers": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_language: '<string>',
transcription_id: '<string>',
audio_url: '<string>',
original_language: '<string>',
format: ['json'],
callback: '<string>',
diarize: true,
team_id: '<string>',
folder_id: '<string>',
output_config: {include_timestamps: true, include_speakers: false}
})
};
fetch('https://api.sky-scribe.com/v1/translate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sky-scribe.com/v1/translate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_language' => '<string>',
'transcription_id' => '<string>',
'audio_url' => '<string>',
'original_language' => '<string>',
'format' => [
'json'
],
'callback' => '<string>',
'diarize' => true,
'team_id' => '<string>',
'folder_id' => '<string>',
'output_config' => [
'include_timestamps' => true,
'include_speakers' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sky-scribe.com/v1/translate"
payload := strings.NewReader("{\n \"target_language\": \"<string>\",\n \"transcription_id\": \"<string>\",\n \"audio_url\": \"<string>\",\n \"original_language\": \"<string>\",\n \"format\": [\n \"json\"\n ],\n \"callback\": \"<string>\",\n \"diarize\": true,\n \"team_id\": \"<string>\",\n \"folder_id\": \"<string>\",\n \"output_config\": {\n \"include_timestamps\": true,\n \"include_speakers\": false\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sky-scribe.com/v1/translate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_language\": \"<string>\",\n \"transcription_id\": \"<string>\",\n \"audio_url\": \"<string>\",\n \"original_language\": \"<string>\",\n \"format\": [\n \"json\"\n ],\n \"callback\": \"<string>\",\n \"diarize\": true,\n \"team_id\": \"<string>\",\n \"folder_id\": \"<string>\",\n \"output_config\": {\n \"include_timestamps\": true,\n \"include_speakers\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sky-scribe.com/v1/translate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_language\": \"<string>\",\n \"transcription_id\": \"<string>\",\n \"audio_url\": \"<string>\",\n \"original_language\": \"<string>\",\n \"format\": [\n \"json\"\n ],\n \"callback\": \"<string>\",\n \"diarize\": true,\n \"team_id\": \"<string>\",\n \"folder_id\": \"<string>\",\n \"output_config\": {\n \"include_timestamps\": true,\n \"include_speakers\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "completed",
"id": "<string>",
"data": {
"json": {
"original_language": "<string>",
"target_language": "<string>",
"text": "<string>",
"segments": [
{
"source_segment_id": "<string>",
"start": 123,
"end": 123,
"text": "<string>",
"speaker": "<string>"
}
]
},
"doc": {
"url": "<string>"
},
"pdf": {
"url": "<string>"
},
"txt": {
"url": "<string>"
},
"markdown": "<string>",
"srt": {
"url": "<string>"
},
"vtt": {
"url": "<string>"
},
"csv": {
"url": "<string>"
}
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}Translate
Create Translation
Translate content from the original language into a target language. Typically uses transcription_id to reference an existing transcript.
POST
/
v1
/
translate
Translate an existing transcript or audio
curl --request POST \
--url https://api.sky-scribe.com/v1/translate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_language": "<string>",
"transcription_id": "<string>",
"audio_url": "<string>",
"original_language": "<string>",
"format": [
"json"
],
"callback": "<string>",
"diarize": true,
"team_id": "<string>",
"folder_id": "<string>",
"output_config": {
"include_timestamps": true,
"include_speakers": false
}
}
'import requests
url = "https://api.sky-scribe.com/v1/translate"
payload = {
"target_language": "<string>",
"transcription_id": "<string>",
"audio_url": "<string>",
"original_language": "<string>",
"format": ["json"],
"callback": "<string>",
"diarize": True,
"team_id": "<string>",
"folder_id": "<string>",
"output_config": {
"include_timestamps": True,
"include_speakers": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_language: '<string>',
transcription_id: '<string>',
audio_url: '<string>',
original_language: '<string>',
format: ['json'],
callback: '<string>',
diarize: true,
team_id: '<string>',
folder_id: '<string>',
output_config: {include_timestamps: true, include_speakers: false}
})
};
fetch('https://api.sky-scribe.com/v1/translate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sky-scribe.com/v1/translate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_language' => '<string>',
'transcription_id' => '<string>',
'audio_url' => '<string>',
'original_language' => '<string>',
'format' => [
'json'
],
'callback' => '<string>',
'diarize' => true,
'team_id' => '<string>',
'folder_id' => '<string>',
'output_config' => [
'include_timestamps' => true,
'include_speakers' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sky-scribe.com/v1/translate"
payload := strings.NewReader("{\n \"target_language\": \"<string>\",\n \"transcription_id\": \"<string>\",\n \"audio_url\": \"<string>\",\n \"original_language\": \"<string>\",\n \"format\": [\n \"json\"\n ],\n \"callback\": \"<string>\",\n \"diarize\": true,\n \"team_id\": \"<string>\",\n \"folder_id\": \"<string>\",\n \"output_config\": {\n \"include_timestamps\": true,\n \"include_speakers\": false\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sky-scribe.com/v1/translate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"target_language\": \"<string>\",\n \"transcription_id\": \"<string>\",\n \"audio_url\": \"<string>\",\n \"original_language\": \"<string>\",\n \"format\": [\n \"json\"\n ],\n \"callback\": \"<string>\",\n \"diarize\": true,\n \"team_id\": \"<string>\",\n \"folder_id\": \"<string>\",\n \"output_config\": {\n \"include_timestamps\": true,\n \"include_speakers\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sky-scribe.com/v1/translate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_language\": \"<string>\",\n \"transcription_id\": \"<string>\",\n \"audio_url\": \"<string>\",\n \"original_language\": \"<string>\",\n \"format\": [\n \"json\"\n ],\n \"callback\": \"<string>\",\n \"diarize\": true,\n \"team_id\": \"<string>\",\n \"folder_id\": \"<string>\",\n \"output_config\": {\n \"include_timestamps\": true,\n \"include_speakers\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "completed",
"id": "<string>",
"data": {
"json": {
"original_language": "<string>",
"target_language": "<string>",
"text": "<string>",
"segments": [
{
"source_segment_id": "<string>",
"start": 123,
"end": 123,
"text": "<string>",
"speaker": "<string>"
}
]
},
"doc": {
"url": "<string>"
},
"pdf": {
"url": "<string>"
},
"txt": {
"url": "<string>"
},
"markdown": "<string>",
"srt": {
"url": "<string>"
},
"vtt": {
"url": "<string>"
},
"csv": {
"url": "<string>"
}
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
Body
application/jsonmultipart/form-data
Translate an existing transcript or audio.
Response
Translation response. Returns one of two response types:
Option 1 - Completed (status: "completed"): Returned when no callback URL is provided (synchronous processing). Response includes status, id, and data with all requested formats (defaults to json if not specified).
Option 2 - Pending (status: "pending"): Only returned when callback URL is provided (asynchronous processing). Response includes status, id, and poll_url to check progress. Results will be sent to the callback URL when complete.

